﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * gcm-expansion
 *
 *      author Takito, Masaaki
 *
-->

<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://gcm.ntt.com/api/xml-schema/v2/expansion-resources/gcm"
	xmlns:gcm="https://gcm.ntt.com/api/xml-schema/v2/expansion-resources/gcm"

	xmlns:datatypes="https://gcm.ntt.com/api/xml-schema/v2/cbe-datatypes"
	xmlns:cbe="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
	xmlns:location="https://gcm.ntt.com/api/xml-schema/v2/location"
	xmlns:bi="https://gcm.ntt.com/api/xml-schema/v2/business-interaction"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/cbe-datatypes"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-datatypes/cbe-datatypes.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-domain/cbe.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/location"
			schemaLocation="http://localhost/api/xml-schema/v2/location-domain/location.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/business-interaction"
			schemaLocation="http://localhost/api/xml-schema/v2/bi-domain/bi.xsd"/>


	<!-- ■expansion-of-product-contract-by-gcm (Element) substitution element -->
	<xsd:element name="expansion-of-product-contract-by-gcm" type="gcm:ExpansionOfProductContract"
			substitutionGroup="cbe:point-of-expansion">
	</xsd:element>

	<!-- ■expansion-of-product-biitem-by-gcm (Element) substitution element -->
	<xsd:element name="expansion-of-product-biitem-by-gcm" type="gcm:ExpansionOfProductContract"
			substitutionGroup="cbe:point-of-expansion">
	</xsd:element>

	<xsd:complexType name="ExpansionOfProductContract">
		<xsd:all>
			<xsd:element ref="gcm:contract-customer" minOccurs="0"/>
			<xsd:element ref="gcm:billing-customer" minOccurs="0"/>
			<xsd:element ref="gcm:sales-channel" minOccurs="0"/>
			<xsd:element ref="gcm:billing-affiliate" minOccurs="0"/>
			<xsd:element ref="gcm:customer-technical-representative" minOccurs="0"/>
			<xsd:element ref="gcm:payment-method" minOccurs="0"/>
		</xsd:all>
		<xsd:attribute name="name" type="xsd:normalizedString" use="optional" />
	</xsd:complexType>

	<xsd:element name="contract-customer" type="gcm:BusinessPartnerInfo"/>
	<xsd:element name="billing-customer" type="gcm:BusinessPartnerInfo"/>
	<xsd:element name="sales-channel" type="gcm:SalesChannelInfo"/>
	<xsd:element name="billing-affiliate" type="gcm:BillingAffiliateInfo"/>
	<xsd:element name="customer-technical-representative" type="gcm:BusinessPartnerInfo"/>
	<xsd:element name="payment-method" type="gcm:PaymentMethod"/>

	<xsd:complexType name="BusinessPartnerInfo">
		<xsd:sequence>
			<xsd:element name="corporation" type="gcm:Corporation" minOccurs="0"/>
			<xsd:element name="person-in-charge" type="gcm:PersonInCharge" minOccurs="0"/>
			<xsd:element name="address" type="gcm:Address" minOccurs="0"/>
		</xsd:sequence>
		<xsd:attribute name="name" type="xsd:normalizedString" use="optional" />
	</xsd:complexType>

	<xsd:complexType name="SalesChannelInfo">
		<xsd:sequence>
			<xsd:element name="corporation" type="gcm:SalesChannelCorporation" minOccurs="0"/>
			<xsd:element name="person-in-charge" type="gcm:PersonInCharge" minOccurs="0"/>
			<xsd:element name="address" type="gcm:Address" minOccurs="0"/>
		</xsd:sequence>
		<xsd:attribute name="name" type="xsd:normalizedString" use="optional" />
	</xsd:complexType>

	<xsd:complexType name="BillingAffiliateInfo">
		<xsd:sequence>
			<xsd:element name="organization-code" type="gcm:OrganizationCode" minOccurs="0"/>
			<xsd:element name="organization-name" type="gcm:OrganizationName" minOccurs="0"/>
		</xsd:sequence>
		<xsd:attribute name="name" type="xsd:normalizedString" use="optional" />
	</xsd:complexType>

	<xsd:complexType name="Corporation">
		<xsd:sequence>
			<xsd:element ref="gcm:base-corporation-name" minOccurs="0"/>
			<xsd:element ref="gcm:corporation-id" minOccurs="0"/>
			<xsd:element ref="gcm:vat-no" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="SalesChannelCorporation">
		<xsd:sequence>
			<xsd:element ref="gcm:base-corporation-name" minOccurs="0"/>
			<xsd:element ref="gcm:corporation-id" minOccurs="0"/>
			<xsd:element ref="gcm:vat-no" minOccurs="0"/>
			<xsd:element ref="gcm:sales-channel-code" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="base-corporation-name" abstract="true"/>

	<xsd:element name="standard-corporation-name" type="gcm:StandardCorporationName"
			substitutionGroup="gcm:base-corporation-name"/>

	<xsd:complexType name="StandardCorporationName">
		<xsd:sequence>
			<xsd:element ref="gcm:name" minOccurs="0"/>
			<xsd:element ref="gcm:name-latin" minOccurs="0"/>
			<xsd:element ref="gcm:name-furigana" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="cidas-corporation-name" type="gcm:CidasCorporationName"
			substitutionGroup="gcm:base-corporation-name"/>

	<xsd:complexType name="CidasCorporationName">
		<xsd:sequence>
			<xsd:element ref="gcm:cidas-company-name" minOccurs="0"/>
			<xsd:element ref="gcm:cidas-company-name-eng" minOccurs="0"/>
			<xsd:element ref="gcm:cidas-company-name-kana" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="cidas-company-name" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="100"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="cidas-company-name-eng" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="100"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="cidas-company-name-kana" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="100"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:complexType name="PersonInCharge">
		<xsd:sequence>
			<xsd:element name="division" type="gcm:Division" minOccurs="0"/>
			<xsd:element name="individual" type="gcm:Individual" minOccurs="0"/>
			<xsd:element name="contact-medium" type="gcm:ContactMedium" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="Division">
		<xsd:sequence>
			<xsd:element ref="gcm:name" minOccurs="0"/>
			<xsd:element ref="gcm:name-latin" minOccurs="0"/>
			<xsd:element ref="gcm:name-furigana" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="Individual">
		<xsd:sequence>
			<xsd:element ref="gcm:name" minOccurs="0"/>
			<xsd:element ref="gcm:name-latin" minOccurs="0"/>
			<xsd:element ref="gcm:name-furigana" minOccurs="0"/>
			<xsd:element ref="gcm:title" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ContactMedium">
		<xsd:sequence>
			<xsd:element ref="gcm:telephone-number" minOccurs="0"/>
			<xsd:element ref="gcm:extension-number" minOccurs="0"/>
			<xsd:element ref="gcm:fax-number" minOccurs="0"/>
			<xsd:element ref="gcm:email-address" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="Address">
		<xsd:sequence>
			<xsd:element ref="location:iso3166-1numeric" minOccurs="0"/>
			<xsd:element ref="gcm:country-specific-address" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="name" type="datatypes:StandardNameType" nillable="true"/>
	<xsd:element name="name-latin" type="datatypes:StandardNameLatinType" nillable="true"/>
	<xsd:element name="name-furigana" type="datatypes:StandardNameFuriganaType" nillable="true"/>
	<xsd:element name="title" type="datatypes:StandardNameType" nillable="true"/>
	<xsd:element name="corporation-id" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:length value="11"/>
				<xsd:pattern value="C[0-9]{10}"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="vat-no" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="32"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>
	
	<xsd:element name="sales-channel-code" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:length value="8"/>
				<xsd:pattern value="[0-9a-zA-Z]{8}"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="telephone-number" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="20"/>
				<xsd:pattern value="[+]?(\d+[-]?)+\d+"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="extension-number" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:pattern value="[\d]{1,5}"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="fax-number" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="20"/>
				<xsd:pattern value="[+]?(\d+[-]?)+\d+"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="email-address" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="3"/>
				<xsd:maxLength value="140"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="country-specific-address" abstract="true"/>

	<xsd:element name="japanese-property-address" type="gcm:JapanesePropertyAddress"
			substitutionGroup="gcm:country-specific-address">
	</xsd:element>

	<xsd:element name="american-property-address" type="gcm:AmericanPropertyAddress"
			substitutionGroup="gcm:country-specific-address">
	</xsd:element>

	<xsd:element name="canadian-property-address" type="gcm:CanadianPropertyAddress"
			substitutionGroup="gcm:country-specific-address">
	</xsd:element>

	<xsd:element name="any-address" type="gcm:AnyAddress"
			substitutionGroup="gcm:country-specific-address">
	</xsd:element>

	<xsd:complexType name="JapanesePropertyAddress">
		<xsd:sequence>
			<xsd:element name="postal-code" type="gcm:JpnAddrPostalCode" minOccurs="0"/>
			<xsd:element name="address" type="gcm:JpnAddrAddress" minOccurs="0"/>
			<xsd:element name="address-line" type="gcm:JpnAddrAddressLine" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="JpnAddrPostalCode">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:pattern value="\d{7}"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="JpnAddrAddress">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:minLength value="1"/>
			<xsd:maxLength value="100"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="JpnAddrAddressLine">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:minLength value="1"/>
			<xsd:maxLength value="100"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="AmericanPropertyAddress">
		<xsd:sequence>
			<xsd:element name="address-line" type="gcm:UsaAddrAddressLine" minOccurs="0"/>
			<xsd:element name="city" type="gcm:UsaAddrCity" minOccurs="0"/>
			<xsd:element name="state-abbr" type="gcm:UsaAddrStateAbbr" minOccurs="0"/>
			<xsd:element name="zip-code" type="gcm:UsaAddrZipCode" minOccurs="0"/>
			<xsd:element ref="gcm:attention-line" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="UsaAddrAddressLine">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:minLength value="1"/>
			<xsd:maxLength value="100"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="UsaAddrCity">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:minLength value="1"/>
			<xsd:maxLength value="30"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="UsaAddrStateAbbr">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:length value="2"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="UsaAddrZipCode">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:pattern value="[0-9]{5}([0-9]{4})?"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="CanadianPropertyAddress">
		<xsd:sequence>
			<xsd:element name="address-line" type="gcm:CanAddrAddressLine" minOccurs="0"/>
			<xsd:element name="city" type="gcm:CanAddrCity" minOccurs="0"/>
			<xsd:element name="state-abbr" type="gcm:CanAddrStateAbbr" minOccurs="0"/>
			<xsd:element name="postal-code" type="gcm:CanAddrPostalCode" minOccurs="0"/>
			<xsd:element ref="gcm:attention-line" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="CanAddrAddressLine">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:minLength value="1"/>
			<xsd:maxLength value="100"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="CanAddrCity">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:minLength value="1"/>
			<xsd:maxLength value="30"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="CanAddrStateAbbr">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:length value="2"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="CanAddrPostalCode">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:pattern value="[0-9A-Z]{3} [0-9A-Z]{3}"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="AnyAddress">
		<xsd:sequence>
			<xsd:element name="address" type="gcm:AnyAddrAddress" minOccurs="0"/>
			<xsd:element ref="gcm:attention-line" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="AnyAddrAddress">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:minLength value="1"/>
			<xsd:maxLength value="150"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:element name="attention-line" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:string">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="100"/>
				<!--
				<xsd:pattern value="[^\t\n\r]{1,50}(\n[^\t\n\r]{1,50})?"/>
				-->
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:complexType name="OrganizationCode">
		<xsd:sequence>
			<xsd:element name="code1" type="gcm:OrganizationCode1" minOccurs="0"/>
			<xsd:element name="code2" type="gcm:OrganizationCode2" nillable="true" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="OrganizationCode1">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:pattern value="[0-9]{8}"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="OrganizationCode2">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:pattern value="[0-9]{5}"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="OrganizationName">
		<xsd:sequence>
			<xsd:element name="level1" type="gcm:SetOfOrganizationName" nillable="true" minOccurs="0"/>
			<xsd:element name="level2" type="gcm:SetOfOrganizationName" nillable="true" minOccurs="0"/>
			<xsd:element name="level3" type="gcm:SetOfOrganizationName" nillable="true" minOccurs="0"/>
			<xsd:element name="level4" type="gcm:SetOfOrganizationName" nillable="true" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="SetOfOrganizationName">
		<xsd:sequence>
			<xsd:element ref="gcm:name" minOccurs="0"/>
			<xsd:element ref="gcm:name-latin" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="PaymentMethod">
		<xsd:sequence>
			<xsd:element ref="gcm:specific-payment-method"/>
		</xsd:sequence>
		<xsd:attribute name="name" type="xsd:normalizedString" use="optional" />
	</xsd:complexType>

	<xsd:element name="specific-payment-method" abstract="true"/>

	<xsd:element name="jpn-direct-deposit-pm" type="gcm:JpnDirectDepositPM" nillable="true"
			substitutionGroup="gcm:specific-payment-method">
	</xsd:element>

	<xsd:element name="jpn-account-transfer-pm" type="gcm:JpnAccountTransferPM"
			substitutionGroup="gcm:specific-payment-method">
	</xsd:element>

	<xsd:element name="jpn-postal-transfer-pm" type="gcm:JpnPostalTransferPM"
			substitutionGroup="gcm:specific-payment-method">
	</xsd:element>

	<xsd:element name="credit-card-pm" type="gcm:CreditCardPM"
			substitutionGroup="gcm:specific-payment-method">
	</xsd:element>

	<xsd:complexType name="JpnDirectDepositPM">
		<xsd:sequence>
			<xsd:element ref="gcm:bank-code" minOccurs="0"/>
			<xsd:element ref="gcm:branch-code" minOccurs="0"/>
			<xsd:element ref="gcm:deposit-type" minOccurs="0"/>
			<xsd:element ref="gcm:account-number" minOccurs="0"/>
			<xsd:element ref="gcm:name-of-person-in-charge" minOccurs="0"/>
			<xsd:element ref="gcm:telephone-number" minOccurs="0"/>
			<xsd:element ref="gcm:email-address" minOccurs="0"/>
			<xsd:element ref="gcm:remarks" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="JpnAccountTransferPM">
		<xsd:sequence>
			<xsd:element ref="gcm:bank-account-holder-name" minOccurs="0"/>
			<xsd:element ref="gcm:bank-code" minOccurs="0"/>
			<xsd:element ref="gcm:branch-code" minOccurs="0"/>
			<xsd:element ref="gcm:deposit-type" minOccurs="0"/>
			<xsd:element ref="gcm:account-number" minOccurs="0"/>
			<xsd:element ref="gcm:is-account-number-display" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="JpnPostalTransferPM">
		<xsd:sequence>
			<xsd:element ref="gcm:postal-account-holder-name" minOccurs="0"/>
			<xsd:element ref="gcm:postal-passbook-mark" minOccurs="0"/>
			<xsd:element ref="gcm:postal-passbook-number" minOccurs="0"/>
			<xsd:element ref="gcm:is-postal-passbook-number-display" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="CreditCardPM">
		<xsd:sequence>
			<xsd:element ref="gcm:credit-card-number" minOccurs="0"/>
			<xsd:element ref="gcm:expiration-date" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="bank-code">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:length value="4"/>
				<xsd:pattern value="[0-8a-zA-Z]{2}[0-9a-zA-Z]{2}"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="branch-code">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:length value="3"/>
				<xsd:pattern value="[0-9a-zA-Z]{3}"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="deposit-type">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:enumeration value="1" /> <!-- 普通預金 / Ordinary Deposit -->
				<xsd:enumeration value="2" /> <!-- 当座預金 / Current Deposit -->
				<xsd:enumeration value="3" /> <!-- 納税（総合）/ Tax Payment (General) -->
				<xsd:enumeration value="9" /> <!-- その他 / Others -->
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="account-number">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:length value="7"/>
				<xsd:pattern value="\d{7}"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="name-of-person-in-charge" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="20"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="remarks" nillable="true">
		<xsd:simpleType>
			<xsd:restriction base="xsd:string">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="40"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="bank-account-holder-name">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="30"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="is-account-number-display">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:enumeration value="0" /> <!-- 無 / false -->
				<xsd:enumeration value="1" /> <!-- 有 / true -->
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="postal-account-holder-name">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="30"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="postal-passbook-mark">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:length value="5"/>
				<xsd:pattern value="\d{5}"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="postal-passbook-number">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:length value="8"/>
				<xsd:pattern value="\d{7}[1-39]"/> <!-- 下１桁 = 1: 普通預金、2: 当座預金、3: 納税（総合）、9: その他 -->
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="is-postal-passbook-number-display">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:enumeration value="0" /> <!-- 無 / false -->
				<xsd:enumeration value="1" /> <!-- 有 / true -->
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="credit-card-number">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:length value="16"/>
				<xsd:pattern value="\d{16}"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<xsd:element name="expiration-date">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:length value="6"/>
				<xsd:pattern value="\d{4}(1[0-2]|0[1-9])"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

</xsd:schema>
